Bug 55566 - V8 version of JavaString should obtain string from JNI in UTF-16 encoding
Summary: V8 version of JavaString should obtain string from JNI in UTF-16 encoding
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 55567
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-02 03:12 PST by Steve Block
Modified: 2011-03-04 03:18 PST (History)
6 users (show)

See Also:


Attachments
Patch (2.69 KB, patch)
2011-03-02 12:58 PST, Steve Block
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Block 2011-03-02 03:12:55 PST
Currently, the V8 version of JavaString obtains the string from JNI in modified UTF-8 encoding. This does not match the regular UTF-8 encoding.

Instead, we should obtain the string from JNI in UTF-16 encoding and convert to UTF-8 using our own routines as required. This matches the behaviour of the JSC version of JavaString.
Comment 1 Steve Block 2011-03-02 12:58:14 PST
Created attachment 84450 [details]
Patch
Comment 2 Jeremy Orlow 2011-03-03 17:58:42 PST
Comment on attachment 84450 [details]
Patch

r=me
Comment 3 WebKit Commit Bot 2011-03-04 01:45:29 PST
Comment on attachment 84450 [details]
Patch

Clearing flags on attachment: 84450

Committed r80339: <http://trac.webkit.org/changeset/80339>
Comment 4 WebKit Commit Bot 2011-03-04 01:45:33 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 WebKit Review Bot 2011-03-04 03:18:43 PST
http://trac.webkit.org/changeset/80339 might have broken GTK Linux 64-bit Debug
The following tests are not passing:
fast/dom/HTMLDocument/hasFocus.html
fast/events/standalone-image-drag-to-editable.html
fast/files/apply-blob-url-to-img.html
inspector/timeline/timeline-network-resource.html